Subject: Re: What's cooking in git.git (Jul 2009, #01; Mon, 06)

From: Johannes Sixt <[email-masked]>
Date: Tue, 07 Jul 2009 08:30:39 +0200

Junio C Hamano schrieb:
> * ne/futz-upload-pack (Wed Jun 10 01:50:18 2009 +0200) 1 commit
>  - Shift object enumeration out of upload-pack

I'm interested in this one because it is a step towards improved behavior
of upload-pack on Windows if the repository is corrupted[*]. This patch
covers the common case where shallow clones are out of the game, but it is
not ready for prime time until its implementation is complete. IIUC, this
should be a fall-out of a GSoC project. Until then I include it in my git.

[*] One test case in t5530 still fails on Windows, because for some reason
errors are not reported correctly. It has to do with the rev-list being
run in a thread and that thread die()s.

-- Hannes